# NM_Start_Registration_For_Object_Class Class Reference

`#include <NM_Classes.hh>`

Inheritance diagram for NM_Start_Registration_For_Object_Class:

[legend]

List of all members.

## Public Types
typedef NetworkMessage | Super
## Public Member Functions
| NM_Start_Registration_For_Object_Class ()
virtual | ~NM_Start_Registration_For_Object_Class ()
virtual void | serialize (MessageBuffer &msgBuffer)
| Serialize the message into a buffer.
virtual void | deserialize (MessageBuffer &msgBuffer)
| DeSerialize the message from a buffer.
const ObjectClassHandle | getObjectClass () const
void | setObjectClass (ObjectClassHandle newObjectClass)

## Detailed Description

Definition at line 279 of file NM_Classes.hh.

## Member Typedef Documentation

typedef NetworkMessage Super

Definition at line 281 of file NM_Classes.hh.

## Constructor & Destructor Documentation

NM_Start_Registration_For_Object_Class | ( |  | ) |

Definition at line 576 of file NM_Classes.cc.

References NetworkMessage::name, NetworkMessage::START_REGISTRATION_FOR_OBJECT_CLASS, and NetworkMessage::type.

~NM_Start_Registration_For_Object_Class | ( |  | ) | `[virtual]`

Definition at line 581 of file NM_Classes.cc.

## Member Function Documentation

void serialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

Serialize the message into a buffer.

Reimplemented from NetworkMessage.

Definition at line 583 of file NM_Classes.cc.

References NetworkMessage::objectClass, and NetworkMessage::serialize().

Here is the call graph for this function:

void deserialize | ( | MessageBuffer & | msgBuffer | ) | `[virtual]`

DeSerialize the message from a buffer.

Reimplemented from NetworkMessage.

Definition at line 589 of file NM_Classes.cc.

References NetworkMessage::deserialize(), and NetworkMessage::objectClass.

Here is the call graph for this function:

const ObjectClassHandle getObjectClass | ( |  | ) | const`[inline]`

Definition at line 286 of file NM_Classes.hh.

void setObjectClass | ( | ObjectClassHandle | newObjectClass | ) | `[inline]`

Definition at line 287 of file NM_Classes.hh.

The documentation for this class was generated from the following files:

- NM_Classes.hh
- NM_Classes.cc